Bug 159311 - [Sierra] Rebaseline tests to use un-mocked system font metrics
Summary: [Sierra] Rebaseline tests to use un-mocked system font metrics
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-30 13:34 PDT by Myles C. Maxfield
Modified: 2016-07-05 12:49 PDT (History)
3 users (show)

See Also:


Attachments
Patch (3.38 MB, patch)
2016-06-30 13:37 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-yosemite (1.04 MB, application/zip)
2016-06-30 14:33 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (1.15 MB, application/zip)
2016-06-30 14:37 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-yosemite (1.70 MB, application/zip)
2016-06-30 14:42 PDT, Build Bot
no flags Details
Patch (3.41 MB, patch)
2016-06-30 16:42 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
WIP (3.50 MB, patch)
2016-07-01 11:30 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (16.27 MB, patch)
2016-07-01 11:58 PDT, Myles C. Maxfield
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-yosemite (962.57 KB, application/zip)
2016-07-01 13:28 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-yosemite (1.49 MB, application/zip)
2016-07-01 14:07 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-yosemite (1.49 MB, application/zip)
2016-07-01 15:56 PDT, Build Bot
no flags Details
Patch for landing (15.17 MB, patch)
2016-07-01 18:50 PDT, Myles C. Maxfield
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-yosemite (864.17 KB, application/zip)
2016-07-01 20:25 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-yosemite (1.56 MB, application/zip)
2016-07-01 20:37 PDT, Build Bot
no flags Details
Patch (15.17 MB, patch)
2016-07-01 21:15 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2016-06-30 13:34:38 PDT
[Sierra] Rebaseline tests to use un-mocked system font metrics
Comment 1 Myles C. Maxfield 2016-06-30 13:37:20 PDT
Created attachment 282459 [details]
Patch
Comment 2 Build Bot 2016-06-30 14:33:37 PDT
Comment on attachment 282459 [details]
Patch

Attachment 282459 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1602474

New failing tests:
editing/mac/spelling/autocorrection-at-beginning-of-word-2.html
fast/forms/input-appearance-spinbutton-up.html
fast/forms/search/search-padding-cancel-results-buttons.html
fast/forms/auto-fill-button/input-contacts-auto-fill-button.html
fast/forms/auto-fill-button/input-auto-fill-button.html
editing/mac/spelling/autocorrection-at-beginning-of-word-1.html
Comment 3 Build Bot 2016-06-30 14:33:40 PDT
Created attachment 282468 [details]
Archive of layout-test-results from ews103 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 4 Build Bot 2016-06-30 14:37:03 PDT
Comment on attachment 282459 [details]
Patch

Attachment 282459 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1602502

New failing tests:
editing/mac/spelling/autocorrection-at-beginning-of-word-2.html
fast/forms/input-appearance-spinbutton-up.html
fast/forms/search/search-padding-cancel-results-buttons.html
fast/forms/auto-fill-button/input-contacts-auto-fill-button.html
fast/forms/auto-fill-button/input-auto-fill-button.html
editing/mac/spelling/autocorrection-at-beginning-of-word-1.html
Comment 5 Build Bot 2016-06-30 14:37:05 PDT
Created attachment 282469 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 6 Build Bot 2016-06-30 14:42:48 PDT
Comment on attachment 282459 [details]
Patch

Attachment 282459 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1602506

New failing tests:
editing/mac/spelling/autocorrection-at-beginning-of-word-2.html
fast/forms/input-appearance-spinbutton-up.html
fast/forms/search/search-padding-cancel-results-buttons.html
fast/forms/auto-fill-button/input-contacts-auto-fill-button.html
fast/forms/auto-fill-button/input-auto-fill-button.html
editing/mac/spelling/autocorrection-at-beginning-of-word-1.html
Comment 7 Build Bot 2016-06-30 14:42:51 PDT
Created attachment 282471 [details]
Archive of layout-test-results from ews113 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 8 Myles C. Maxfield 2016-06-30 16:42:24 PDT
Created attachment 282492 [details]
Patch
Comment 9 Myles C. Maxfield 2016-07-01 11:30:51 PDT
Created attachment 282563 [details]
WIP
Comment 10 Myles C. Maxfield 2016-07-01 11:58:05 PDT
Created attachment 282567 [details]
Patch
Comment 11 Build Bot 2016-07-01 13:28:19 PDT
Comment on attachment 282567 [details]
Patch

Attachment 282567 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1608450

New failing tests:
platform/mac/scrollbars/key-window-not-first-responder.html
Comment 12 Build Bot 2016-07-01 13:28:22 PDT
Created attachment 282571 [details]
Archive of layout-test-results from ews100 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 13 Build Bot 2016-07-01 14:07:41 PDT
Created attachment 282575 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 14 Build Bot 2016-07-01 15:56:34 PDT
Comment on attachment 282567 [details]
Patch

Attachment 282567 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1609233

New failing tests:
platform/mac/scrollbars/key-window-not-first-responder.html
Comment 15 Build Bot 2016-07-01 15:56:37 PDT
Created attachment 282599 [details]
Archive of layout-test-results from ews115 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 16 Myles C. Maxfield 2016-07-01 18:50:06 PDT
Created attachment 282628 [details]
Patch for landing
Comment 17 Build Bot 2016-07-01 20:25:29 PDT
Comment on attachment 282628 [details]
Patch for landing

Attachment 282628 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1610555

New failing tests:
platform/mac/scrollbars/key-window-not-first-responder.html
Comment 18 Build Bot 2016-07-01 20:25:33 PDT
Created attachment 282635 [details]
Archive of layout-test-results from ews101 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 19 Build Bot 2016-07-01 20:37:58 PDT
Created attachment 282636 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 20 Myles C. Maxfield 2016-07-01 21:15:26 PDT
Created attachment 282638 [details]
Patch
Comment 21 WebKit Commit Bot 2016-07-05 12:49:27 PDT
Comment on attachment 282638 [details]
Patch

Clearing flags on attachment: 282638

Committed r202826: <http://trac.webkit.org/changeset/202826>
Comment 22 WebKit Commit Bot 2016-07-05 12:49:33 PDT
All reviewed patches have been landed.  Closing bug.